# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.1.1](https://github.com/peaceiris/actions-mdbook/compare/v1.1.0...v1.1.1) (2020-01-13)


### chore

* Pin tag instead of commit hash ([91c48da](https://github.com/peaceiris/actions-mdbook/commit/91c48da3883c3fba683feb7fa1385527723b241c))

### ci

* Add [skip ci] job ([25dac88](https://github.com/peaceiris/actions-mdbook/commit/25dac8825adf5780ae117cf5677fcdb940af65f6))
* Change release notes content ([70e81e4](https://github.com/peaceiris/actions-mdbook/commit/70e81e41cbdfc2c3bc17ed683f6fb89025bf69fc))
* Enhance git stable tag management ([2d09e75](https://github.com/peaceiris/actions-mdbook/commit/2d09e753e4c5482bc64193f73e2d85c50def3605))
* Fix release_notes.md ([458dd6d](https://github.com/peaceiris/actions-mdbook/commit/458dd6d78e5a8880c05eaebe534eeb44b1180b1b))
* Pin coverallsapp/github-action to v1.0.1 (#41) ([6cc4880](https://github.com/peaceiris/actions-mdbook/commit/6cc488067d1996e3744be2196ca824aa7bae241c)), closes [#41](https://github.com/peaceiris/actions-mdbook/issues/41)

### deps

* update (#38) ([6ad5947](https://github.com/peaceiris/actions-mdbook/commit/6ad5947b7270d040cd634a50e874c122c048ad00)), closes [#38](https://github.com/peaceiris/actions-mdbook/issues/38)
* update (#40) ([acf2c5c](https://github.com/peaceiris/actions-mdbook/commit/acf2c5c8269030ee35ca9f61133e9390e94c7eeb)), closes [#40](https://github.com/peaceiris/actions-mdbook/issues/40)
* update (#47) ([4dba9ba](https://github.com/peaceiris/actions-mdbook/commit/4dba9baa1307c74b485c75c658907a260c5d229e)), closes [#47](https://github.com/peaceiris/actions-mdbook/issues/47)
* upgrade node v12.14.1 (#37) ([edf92a1](https://github.com/peaceiris/actions-mdbook/commit/edf92a1cc10b348420ed7d81997de29efb8f7809)), closes [#37](https://github.com/peaceiris/actions-mdbook/issues/37)

### docs

* Add link to CHANGELOG.md ([9cdaf0d](https://github.com/peaceiris/actions-mdbook/commit/9cdaf0d3f2382fad5fa58732a93ec823b45a6957))
* update TOC ([783aa75](https://github.com/peaceiris/actions-mdbook/commit/783aa758318a6948db9405f4fd92c3b54e6300ee))

### test

* Enhance test case name (#39) ([7cab470](https://github.com/peaceiris/actions-mdbook/commit/7cab470ed8f0193d18d5ac036ed6a49d721c0a2d)), closes [#39](https://github.com/peaceiris/actions-mdbook/issues/39)
* Rename test name (#35) ([ea1428f](https://github.com/peaceiris/actions-mdbook/commit/ea1428f1d2ab0a9ded5c1a606efa812bc86e25ff)), closes [#35](https://github.com/peaceiris/actions-mdbook/issues/35)



# [1.1.0](https://github.com/peaceiris/actions-mdbook/compare/v1.1.0-1...v1.1.0) (2020-01-05)


### ci

* 🎡 Add coveralls ([727b531](https://github.com/peaceiris/actions-mdbook/commit/727b53162eacd4f044d8f09cb039a084bbc1c511))
* Add Coveralls action ([11dfa38](https://github.com/peaceiris/actions-mdbook/commit/11dfa38f43ad1a2d00a05c82afea4445a795b87b))
* Add Coveralls Finished step for matrix test ([60fca39](https://github.com/peaceiris/actions-mdbook/commit/60fca391f4249ad70cec62ae9aa506496fb1b135))
* Add Coveralls step ([8ac10d6](https://github.com/peaceiris/actions-mdbook/commit/8ac10d6a895b32ecfa54824d0239f3560ae259fc))
* Fix Coveralls step ([a1388c0](https://github.com/peaceiris/actions-mdbook/commit/a1388c0b02782105bfa96ec348d7f3d9a00b4970))
* Fix Coveralls step filter ([258d807](https://github.com/peaceiris/actions-mdbook/commit/258d807070842cd69b0f6e20b1bfb54d777a9847))
* Remove branches-ignore ([0505b50](https://github.com/peaceiris/actions-mdbook/commit/0505b5096500cab48559740bbcc40e6131199551))
* Remove coveralls ([ca6e120](https://github.com/peaceiris/actions-mdbook/commit/ca6e1208a9ad27039c1c6cad4bfc7e341accdd05))
* Remove Coveralls parallel Finished step ([be5a8ce](https://github.com/peaceiris/actions-mdbook/commit/be5a8ceb7d8c53c03814f3f7fcd92da9ac35f4e8))
* Rename steps ([8b130ac](https://github.com/peaceiris/actions-mdbook/commit/8b130ac8856863d562a2832c5329d786a286df65))

### docs

* Add Coverage Status badge (coveralls) ([03cf133](https://github.com/peaceiris/actions-mdbook/commit/03cf133f7a5776fd5d564bc9e2dc3525ff3571f3))

### refactor

* Prune duplicate lines (#29) ([87208c9](https://github.com/peaceiris/actions-mdbook/commit/87208c9fbc1b101f71e2799ee216f05f28849a4f)), closes [#29](https://github.com/peaceiris/actions-mdbook/issues/29)
* Remove extra try-catch (#30) ([17fabeb](https://github.com/peaceiris/actions-mdbook/commit/17fabeb6e0f7c6abac79083a8f724ae720f1f6a2)), closes [#30](https://github.com/peaceiris/actions-mdbook/issues/30)
* Remove invalid exception (#32) ([30be24c](https://github.com/peaceiris/actions-mdbook/commit/30be24c97d7ebd2dbd62640b65f65c1186dbea1f)), closes [#32](https://github.com/peaceiris/actions-mdbook/issues/32)
* Split installer into some functions (#33) ([dd67832](https://github.com/peaceiris/actions-mdbook/commit/dd678328a032dac1ec3c01dafed4615315fee0f3)), closes [#33](https://github.com/peaceiris/actions-mdbook/issues/33)

### test

* Add exception test ([368f190](https://github.com/peaceiris/actions-mdbook/commit/368f190119bff55e49674e9e96d03f2d251e2834))
* Add get-latest-version test (#31) ([258d379](https://github.com/peaceiris/actions-mdbook/commit/258d3799d4773f753327abca603c238e13e41878)), closes [#31](https://github.com/peaceiris/actions-mdbook/issues/31)
* Add test for showVersion() (#28) ([8bd8aaa](https://github.com/peaceiris/actions-mdbook/commit/8bd8aaa7d63ae22f3f441665dd73b309ad2b7a50)), closes [#28](https://github.com/peaceiris/actions-mdbook/issues/28)



# [1.1.0-1](https://github.com/peaceiris/actions-mdbook/compare/v1.0.2...v1.1.0-1) (2020-01-01)


### chore

* Add .gitattributes ([640bafa](https://github.com/peaceiris/actions-mdbook/commit/640bafa2dd57b728945b7c9dbb193253e5d1cb45))
* fix tag push ([29a4987](https://github.com/peaceiris/actions-mdbook/commit/29a4987085e42e76f38bd45b8ab8bc746dfa13c7))

### ci

* 🎡 Add branches-ignore ([c11d861](https://github.com/peaceiris/actions-mdbook/commit/c11d86124cba0b2956749d054a59abf0e4d960f2))
* Add release npm task ([46c7b97](https://github.com/peaceiris/actions-mdbook/commit/46c7b97009d957675bc10db508f94067812094d7))
* Enhance RELEASE_TYPE_LIST order ([e7272ee](https://github.com/peaceiris/actions-mdbook/commit/e7272ee7166f156356355c73c62adc6e06344cc2))
* Fix BASE_BRANCH of hub pull-request ([11dc2f5](https://github.com/peaceiris/actions-mdbook/commit/11dc2f5d9cf49200de60e3c0b5a895d2d57e3f46))
* Fix release workflow ([314c9a4](https://github.com/peaceiris/actions-mdbook/commit/314c9a4ecbbe1251e1bb17335ea141e153d2f863))
* Fix release.sh ([99653a0](https://github.com/peaceiris/actions-mdbook/commit/99653a0f1a39bb8227a778702777da8a558c376b))

### docs

* add link to peaceiris/docker-mdbook ([8608906](https://github.com/peaceiris/actions-mdbook/commit/8608906ecc006d594efc03c34466fc4ab1bfcfef))
* pin actions/checkout to v2 ([9266bb6](https://github.com/peaceiris/actions-mdbook/commit/9266bb69f8af54e91e14ecfc1dd00ba312bce2ed))
* remove extra whitespace ([e763f8d](https://github.com/peaceiris/actions-mdbook/commit/e763f8d7cdf0b2621d18e9c70b3a2c16b548aed7))
* Remove first template ([c40219f](https://github.com/peaceiris/actions-mdbook/commit/c40219fafe8c85b47570e05bdebbf27d0ec82aa9))
* update Maintainer Notes ([7f5c1b1](https://github.com/peaceiris/actions-mdbook/commit/7f5c1b1eb5633c8fa6a522d49c022a47932aea71))

### feat

* update deps (#10) ([1ac4296](https://github.com/peaceiris/actions-mdbook/commit/1ac4296805f637d0d92b27cd286a389d3d699846)), closes [#10](https://github.com/peaceiris/actions-mdbook/issues/10)
* update deps (#16) ([19d4725](https://github.com/peaceiris/actions-mdbook/commit/19d472587c2c763717879a98cb93c6c978b877a7)), closes [#16](https://github.com/peaceiris/actions-mdbook/issues/16)
* update deps (#17) ([25e2ba7](https://github.com/peaceiris/actions-mdbook/commit/25e2ba73e4c35b1fba36bdeca213b362f051479d)), closes [#17](https://github.com/peaceiris/actions-mdbook/issues/17)
* update node 12.14.0 (#11) ([28bdbcc](https://github.com/peaceiris/actions-mdbook/commit/28bdbccb5b6ebab58c69127867d38dbf1c332bd9)), closes [#11](https://github.com/peaceiris/actions-mdbook/issues/11)

### refactor

* Enhance getLatestVersion() (#22) ([be86ec4](https://github.com/peaceiris/actions-mdbook/commit/be86ec4c7ea52481768524c2d2f016eae780c90a)), closes [#22](https://github.com/peaceiris/actions-mdbook/issues/22)
* Promise to async (#24) ([bbf6904](https://github.com/peaceiris/actions-mdbook/commit/bbf6904d6786d5ca09e440147b2434a990d88d83)), closes [#24](https://github.com/peaceiris/actions-mdbook/issues/24)



# 1.1.0-0 (2019-12-31)


### ci

* Add build assets ([ad4ae66](https://github.com/peaceiris/actions-mdbook/commit/ad4ae6651ef8065b334183227282577711b4209f))
* Fix CHANGELOG diff ([e30d78d](https://github.com/peaceiris/actions-mdbook/commit/e30d78d4734bbfbc4579dbbefa449edd4925b941))



## 1.0.3 (2019-12-29)




## 1.0.3-1 (2019-12-29)


### docs

* Remove first template ([c40219f](https://github.com/peaceiris/actions-mdbook/commit/c40219fafe8c85b47570e05bdebbf27d0ec82aa9))



## 1.0.3-0 (2019-12-29)


### ci

* Add release npm task ([46c7b97](https://github.com/peaceiris/actions-mdbook/commit/46c7b97009d957675bc10db508f94067812094d7))
